package grafickéobjekty;

public class Úsečka extends GrafickýObjekt 
{
    public Bod getPočátek(){ return počátek;}
    public void setPočátek(Bod _počátek){ počátek = _počátek;}
    public Bod getKonec(){ return konec;}
    public void setKonec(Bod _konec){ konec = _konec;}

    @Override
    public void nakresli()
    {
        System.out.println("Kreslím Úsečku, barva " +
                           getBarva()+", krajní body:");
        počátek.nakresli();
        konec.nakresli();
    }

    public Úsečka(int _x1, int _y1, int _x2, int _y2, int _barva) 
    {
        super(_barva);
        počátek = new Bod(_x1, _y1, _barva);
        konec = new Bod(_x2, _y2, _barva);
    }
    
    private Bod počátek, konec;
}
