package grafickéobjekty;

public class Kružnice extends GrafickýObjekt 
{
    Bod střed;
    int r;

    public final int getR(){ return r; }
    public final void setR(int _r){ r = _r; }
    public final Bod getStřed(){ return střed; }
    public final void setStřed(Bod _střed){ střed = _střed; }

    /*@Override
    public void nakresli()
    {
        //System.out.println("Kreslím Kružnici, barva " +
        //                getBarva()+", poloměr " + getR() + ", střed:");
        //střed.nakresli();
        System.out.println(this);
    }*/

    public Kružnice(int _x, int _y, int _r, int _barva) 
    {
        super(_barva);
        střed = new Bod(_x, _y, _barva);
        r = _r;
    }
    
    @Override
    public boolean zkontroluj()
    {
        return super.zkontroluj() && r > 0;
    }
    
    @Override
    public String toString()
    {
        return "Kružnice barva: " + getBarva() + " střed " + střed.toString() + " poloměr " + r;
    }
    
    @Override
    public Kružnice clone() throws CloneNotSupportedException
    {
        Kružnice k = (Kružnice)super.clone();
        k.střed = (Bod  )střed.clone();
        return k;
    }
}
