package konvertor;

import java.io.*;

public class Program 
{
    public static void main(String[] args) 
    {
        PrintWriter výstup = null;
        try
        {
            výstup = new PrintWriter(
                          new OutputStreamWriter(System.out, "Cp852"));
        }
        catch(UnsupportedEncodingException e)
        {
            výstup = new PrintWriter(new OutputStreamWriter(System.out));
        }
        try
        {
           int číslo = Integer.parseInt(args[0]);
           int základ = Integer.parseInt(args[1]);
           výstup.println(new konvertor.Konvertor(základ).konverze(číslo));
        }
        catch(RuntimeException e)
        {
           výstup.println("Použití:\n"+
               "java Převod číslo cílová_soustava\n"+
               "cílová soustava musí být v rozmezí 2 - 36");
        }
        catch(Exception e)
        {
            výstup.println("Nějaká divná chyba: " + e.getMessage());
        }
        výstup.close();
    }
    
}
