package slova3;

class Analyzátor
{
    static String oddělovače = " .,;!?";		// Seznam znaků, které mohou oddělovat slova v textu
    String kódování = "Cp852";
    Seznam seznam = new Seznam();

    public Analyzátor(String stránka)
    {
        kódování = stránka;
    }

    public Analyzátor()
    {  }


    int přeskočOddělovače(String řádek, int od) // rad: analyzovaný řádek, od: index, od kterého se má začít
    {					      // Vrací: index, kde začíná následující slovo, nebo -1, jsme-li na konci řádku	
        if(od >= řádek.length()) return -1;       // Jsme-li na konci řádku, vrať -1
        while(oddělovače.indexOf(řádek.charAt(od))>=0)
        {
         if(++od == řádek.length()) return -1;
        }
        return od;
    }

    void přidej(String slovo)
    {
        seznam.přidej(slovo);
    }

    void analyzujAUložVýsledky(String řádek) // radek: analyzovaný řádek, seznam: Kontejner, do kterého se mají slova ukládat
    {
        if(řádek.equals(""))return;		// Prázdný řádek nás nezajímá
        int index = 0;				// Index znaku v řádku
        StringBuffer slovo = null;		// Sem uložíme získané slovo
        index = přeskočOddělovače(řádek, index);// Najdi začátek dalšího slova (-1 == konec řádku)
        while(index >= 0)
        {
            slovo = new StringBuffer("");
            // Přenes následující slovo do instance "slovo"
            while((index < řádek.length()) && (oddělovače.indexOf(řádek.charAt(index)) == -1)) // Dokud to není oddělovač
            {
                slovo.append(řádek.charAt(index++));
            }
            // Ulož slovo do slovníku
            String s = new String(slovo);
            this.přidej(slovo.toString());
            index = přeskočOddělovače(řádek, index);
        }
    }

    void běh() throws java.io.UnsupportedEncodingException 
    {
        java.util.Scanner scanner = new java.util.Scanner(System.in, kódování);
        java.io.PrintWriter výstup = new java.io.PrintWriter(new java.io.OutputStreamWriter(System.out, kódování));

        while(scanner.hasNextLine())		// Dokud se čtení daří
        {
            String řádek = scanner.nextLine();	// Čti další řádek
            řádek = řádek.trim();		// Odstraň okrajové mezery
            analyzujAUložVýsledky(řádek);         
        }
        výstup.println(seznam);    // Vypiš výsledek
        výstup.close();
    }
}
