package slova3;

class Seznam 
{
    Prvek hlava = null;                 // Ukazatel na první prvek
    public void přidej(String slovo)    // Přidá nový prvek na konec
    {
        if(hlava == null)               // Je-li seznam prázdný,
        {
            hlava = new Prvek(slovo);   // přidej ho na začátek
        }
        else                            // jinak
        {
            Prvek p = hlava, q = null;
            while(p != null)             // Procházej prvky a
            {                            // hledej, zda některý
               if(p.početVýskytů(slovo) > 0)// prvek neobsahuje
               {                         // dané slovo.
                 p.zvětšiPočet();        // Pokud ano, zvětši počet
                 return;                 // a skonči.
               }
               else
               {
                 q = p;                   // Pokud ne, přejdi
                 p = p.getDalší();        // na další.
               } // Konec if
            }    // konec while           // Najdeš-li konec, připoj
            q.setDalší(new Prvek(slovo)); // nový prvek za
        }                                 // poslední.
  }

    @Override
    public String toString()
    {
        Prvek p = hlava;
        StringBuffer výsledek = new StringBuffer("");
        while(p != null)                   // Dokud nenarazíš na konec
        {                                  // připoj data k výsledku
            výsledek.append(p.getSlovo()).append(" (")
                    .append(p.getPočet()).append("), ");
            p = p.getDalší();                // a přejdi na další prvek.
        }
        return výsledek.toString();
    }
    
    void vyprázdni()
    {
        hlava = null;
    }
}

