package koprovnpole;

import java.util.Arrays;

public class JavaApplication1 
{
    public static int[][] klonPole(int[][] originl)
    {
        return (int[][])originl.clone();
    }
    
    public static int[][] mlkKopiePole(int[][] originl)
    {
        int[][] kopie = new int[originl.length][originl[0].length];
        System.arraycopy(originl, 0, kopie, 0, originl.length);
        return kopie;
    }
        
    
    public static int[][] kopiePole1(int[][] originl)
    {
        int kopie[][] = new int[originl.length][];
        int i = 0;
        while (i < originl.length) 
        {
            System.arraycopy(originl[i], 0, kopie[i], 0, originl[i].length);
            i++;
        }
        return kopie;
    }
        
    public static int[][] kopiePole2(int [][] originl)
    {
        int[][] kopie = new int[originl.length][];
        int i = 0;
        while (i < originl.length)
        {
            kopie[i] = Arrays.copyOf(originl[i], originl[i].length);
            i++;
        }
        return kopie;
    }
    
    public static int[][] kopiePole3(int[][] originl)
    {
        return Arrays.stream(originl)
                    .map(a ->  Arrays.copyOf(a, a.length))
                    .toArray(int[][]::new);
    }
    
    public static void vpis(int[][] pole)
    {
        int i = 0;
        while(i < pole.length)
        {
            int j = 0;
            while(j < pole[i].length)
            {
                System.out.print(pole[i][j++] + " ");
            }
            System.out.println();
            i++;
        }
        System.out.println("----");
    }
    
    public static void main(String[] args) 
    {
        int[][] originl = { { 1,2 }, { 3,4,5 } };
        int[][] kopie = mlkKopiePole(originl);
        kopie[0][0] = 77;
        // Kopruj se odkazy na dky, nikoli dky
        System.arraycopy(originl, 0, kopie, 0, originl.length);
        vpis(originl);
        vpis(kopie);
    }
    
}
