package program;

/* Soubor Kap08\01\Program.java
 * pedvd, e se parametry primitivnch typ pedvaj hodnotou,
 * ale parametry objektovch typ odkazem
 * (pesnji, hodnotou se pedv odkaz na objekt nebo pole)
 *
 * Tda Program obsahuje dv metody f(). Ob potaj faktoril 
 * a ob pitom mn hodnotu formlnho parametru.
 *
 * Jedna m parametr typu int (zde nedojde ke zmn skutenho parametru),
 * druh m parametr typu MujInt, co je objektov typ zapouzdujc
 * int. Jsou pro nj definovny metody, kter umouj operace nsoben, -- atd.
 * Pi voln tto metody se skuten parametr zmn.
 */

class Bod
{
    private int x, y;                  // Soukrom datov sloky
    private int barva;
    private static int poet;          // Poet instanc
    public Bod(){ poet++;}            // Konstruktor
    public void setX(int _x){ x = _x; }
    public int getX(){ return x; }
    public void setY(int _y){ y = _y; }
    public int getY(){ return y; }
    public void setBarva(int _barva){ barva = _barva; }
    public int getBarva(){ return barva; }
    void nakresli(){
        System.out.println("kreslm bod (" + x + ", " +
            y+") ");
    }
    public static int getPoet() { return poet; }
}


public class Program 
{		
    public static void main(String[] args)         
    {   
        System.out.println(Bod.getPoet());                 // 1
        final int N = 10;
        Bod[] body = new Bod[N];
        for(int i = 0; i < N; i++) body[i] = new Bod();     // 2
        System.out.println(Bod.getPoet());                 // 3
        System.out.println(body[5].getBarva());
        for(int i = 0; i < N; i++) body[i].nakresli();      // 4
    }
}