package grafickéobjekty;
import kontrola.Kontrola;

public class Úsečka extends GrafickýObjekt
{
    public final Bod getPočátek(){ return počátek;}
    public final void setPočátek(Bod _počátek){ počátek = _počátek;}
    public final Bod getKonec(){ return konec;}
    public final void setKonec(Bod _konec){ konec = _konec;}

   /* @Override
    public void nakresli()
    {
//        System.out.println("Kreslím Úsečku, barva " +
//                           getBarva()+", krajní body:");
//        počátek.nakresli();
//        konec.nakresli();
        System.out.println(this);
    }*/

    public Úsečka(int _x1, int _y1, int _x2, int _y2, int _barva) 
    {
        super(_barva);
        počátek = new Bod(_x1, _y1, _barva);
        konec = new Bod(_x2, _y2, _barva);
    }
    
    @Override
    public boolean zkontroluj()
    {
        return super.zkontroluj() && počátek.zkontroluj() && konec.zkontroluj();
    }
    
    @Override
    public String toString()
    {
        return "Úsečka barva " + getBarva() + " " + počátek.toString() + " " + konec.toString();
    }
    
    @Override
    public Úsečka clone() throws CloneNotSupportedException 
    {
        Úsečka u = (Úsečka)super.clone();
        u.počátek = (Bod)počátek.clone();
        u.konec = (Bod)konec.clone();
        return u;
    } 

    private Bod počátek, konec;
}
