package analyzátor;

import java.util.Scanner;

public class Analyzátor
{
    static String oddělovače = " .,;!?";

    int přeskočOddělovače(String řádek, int od) // rad: analyzovaný řádek, od: index, od kterého se má začít
    {					        // Vrací: index, kde začíná následující slovo, nebo -1, jsme-li na konci řádku	
        if(od >= řádek.length()) return -1;       // Jsme-li na konci řádku, vrať -1
        while(oddělovače.indexOf(řádek.charAt(od))>=0)
        {
            if(++od == řádek.length()) return -1;
        }
        return od;
    }

    void analyzuj(String řádek, Seznam<String> sezn) // radek: analyzovaný řádek, sezn: Kontejner, do kterho se majíé slova ukládat
    {
        if(řádek.equals(""))return;		// Prázdný řádek nás nezajímá
        int i = 0;				// Index znaku v řádku
        StringBuffer data = null;		// Sem uložíme získané data
        i = přeskočOddělovače(řádek, i);	// Najdi začátek dalšího slova (-1 == konec řádku)
        while(i >= 0)
        {
            data = new StringBuffer("");
            // Přenes následující data do instance "data"
            while((i < řádek.length()) && (oddělovače.indexOf(řádek.charAt(i))==-1)) // Dokud to není oddělovač
            {
                data.append(řádek.charAt(i++));
            }
            // Ulož data do slovníku
            String s = new String(data);
            sezn.přidej(s);
            i = přeskočOddělovače(řádek, i);
        }
    }


    void běh() 	// Vlastní běh programu
    {
        System.out.println("Zadej text: ");
        Seznam<String> slovnik = new Seznam<String>();
        Scanner vstup = new Scanner(System.in);
        
        while(vstup.hasNextLine())                    // Dokud se čtení daří
        {
            String řádek = vstup.nextLine().trim();		// Odstraň okrajové mezery
            analyzuj(řádek, slovnik);
        }
        slovnik.výpis();                        // Vypiš výsledek

    }
}