package analyzátor;

/** 
 * Vlastní implementace seznamu jako parametrizované třídy 
 */
class Seznam<T>
{
    Prvek<T> hlava = null;
    void přidej(T data)
    {
        if(hlava == null)
        {
            hlava = new Prvek<T>(data);
        }
        else
        {
            Prvek<T> p = hlava, q = null;
            while(p != null)
            {
                if(p.obsahuje(data) > 0)
                {
                    p.zvětšiPočet();
                    return;
                }
                else
                {
                    q = p;
                    p = p.getDalší();
                } // Konec if
            }     // konec while
            q.setDalší(new Prvek<T>(data));
        }
    }

    void výpis()
    {
        Prvek<T> p = hlava;
        while(p != null)
        {
            System.out.println(p.getData()+ " " + p.getPocet());
            p = p.getDalší();
        }
    }

    void vyprázdni()
    {
        hlava = null;
    }
}