package pomoc;

import java.util.Collection;

public class Pomoc
{
    // Najde prvek ležící uprostřed pole typu T
    public static <T> T medián(T[] pole)
    {
        if(pole == null || pole.length == 0) throw new IllegalArgumentException(); 
        return pole[pole.length / 2];
    }

    // Prohodí prvky pole určené indexy i a j
    public static <T> void swap(int i, int j, T[] pole)
    {
        T a = pole[i];
        pole[i] = pole[j];
        pole[j] =a;
    } 

    // Seřadí prvky v daném poli výběrem
    public static <T extends Comparable> void sort(T[] x)
    {
        for(int i = 0; i < x.length; i++)
        {
            int min = i;
            for(int j = i+1; j < x.length; j++)
                if(x[j].compareTo(x[min]) < 0) min = j;  // Najdi index nejmenšího
            if(min != i) swap(min, i, x);  // a prohoď ho s prvním v daném úseku
        } 
    }
    
    public static void tisk(Collection<?> c)
    {
        for(Object x: c)
            System.out.println(x);
    }

}