package grafickéobjekty;

public class Kružnice extends GrafickýObjekt 
{
    Bod střed;
    int r;

    public final int getR(){ return r; }
    public final void setR(int _r){ r = _r; }
    public final Bod getStřed(){ return střed; }
    public final void setStřed(Bod _střed){ střed = _střed; }

    @Override
    public void nakresli()
    {
        System.out.println("Kreslím Kružnici, barva " +
                        getBarva()+", poloměr " + getR() + ", střed:");
        střed.nakresli();
    }

    public Kružnice(int _x, int _y, int _r, int _barva) 
    {
        super(_barva);
        střed = new Bod(_x, _y, _barva);
        r = _r;
    }

}
