package rozhran;

interface Vpoet
{
    default double prvn(double x)
    {
        return druh(x);
    }
    double druh(double x);
}

interface Pozdrav
{
    public static void pozdrav()
    {
        System.out.println("Nazdar, lidi");
    }
}


class Posloupnost implements Vpoet
{
    @Override
    public double druh(double x)
    {
        return x*x + 1;
    }
}

class Pokus implements Pozdrav
{
    public static void pozdrav()        // Nepekryje metodu rozhran
    {
        System.out.println("Dobr den");
    }
}

public class Program 
{   
    public static void main(String [] s)
    {
        Posloupnost posloupnost = new Posloupnost();
        double x = posloupnost.prvn(0);
        for(int i = 0; i < 10; i++)
        {
            x = posloupnost.druh(x);
        }
        System.out.println("x = " + x);
        Pozdrav.pozdrav();
        Pokus.pozdrav();
    }
}
