package analyzátor;

/** 
 * Prvek seznamu jako parametrizovaná třída
 */
class Prvek<T>
{
    T data = null;             // data uložená v prvku
    int počet = 0;             // počet výskytů
    Prvek<T> další = null;     // Odkaz na další prvek seznamu
    Prvek(){}                  // Konstruktory
    Prvek(T s) {data = s; počet = 1;}
    int obsahuje(T s) {return s.equals(data) ? počet : 0;}
    void setDalší(Prvek<T> q){další = q;}
    Prvek<T> getDalší(){return další;}
    T getData(){return data;}
    void zvětšiPočet(){počet++;}
    int getPocet(){return počet;}
}
