package kalendář;

class Kalendář {
    int měsíce[] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31}; // Počty dnů v měsící
    int dnyOdpočátkuRoku[];		// Počty dnů od počátku roku na konci předchozího měsíce
    public Kalendář()                   // Konstruktor
    {			
        dnyOdpočátkuRoku = new int[12];	// Vytvoří pole dny
        int i = 1;		
        dnyOdpočátkuRoku[0] = 0;	// Vypočte hodnoty v něm: Počet dnů do počátku ledna je 0, do počátku února je 31 atd
        while(i < dnyOdpočátkuRoku.length)
        {
            dnyOdpočátkuRoku[i] = dnyOdpočátkuRoku[i-1] + měsíce[i-1];
            i++;
        }
    }

    public boolean přestupný(int rok) 	// Zjistí, zda je rok přestupný
    {				        // Tj. buď dělitelný 4 a ne 100  nebo dělitelný 400
        if(((rok%4 == 0) && (rok % 100)!=0) || (rok % 400 == 0)) 
            return true;
        else 
            return false;
    }

    public int čísloDne(int den, int měsíc, int rok)	// Vypočte pořadové číslo dne v roce
    {
        int d = dnyOdpočátkuRoku[měsíc-1]+den;		// Počet dnů do počátku měsíce + číslo dne v měsíci (datum v měsíci)
        if(přestupný(rok) && měsíc>2) d++;		// Je=li rok přestupný, nutno od 1.3. přidat 1 za 29. únor
        return d;
    }
}


