package vty;

import java.util.HashMap;
import java.util.Map;

enum Smr 
{
    VCHOD("S" ),  SEVEROVCHOD("SV"), SEVER("S"), SEVEROZPAD ("SZ"),
    ZPAD("Z"), JIHOZPAD("JZ"), JIH("J"), JIHOVCHOD("JV");
    public  static final int POET_SMR = 8;
    private static final int MASKA = 7;
    private static final Map<String, Smr> nzvy =
                            new HashMap<String, Smr>( POET_SMR * 2 );
    private static final Smr[] SMRY = values();

    static {
        for( Smr s : SMRY )  {
            nzvy.put( s.pepravka.zkratka, s );
            nzvy.put( s.pepravka.nzev,   s );
            s.pepravka = null;
        }
    }

    private static class Pepravka  
    {
        String zkratka, nzev;
    }
    
    Pepravka pepravka;

    private Smr(String zkratka )
    {
        pepravka = new Pepravka();
        pepravka.zkratka  = zkratka;
        pepravka.nzev    = name();
    }
    public Smr elemVzad() 
    {
        return SMRY[MASKA & (4 + ordinal())];
    }

    public Smr podleJmna(String jmno)
    {
        return nzvy.get(jmno);
    }
 }


public class Program 
{   
    public static void main(String [] s)
    {
        Smr smr = Smr.JIH;
        smr = smr.elemVzad();
        System.out.println(smr);
    }
}
