package grafickéobjekty;
import java.util.ArrayList;
import kontrola.Kontrola;
import řetězec.Řetězec;

public class Program 
{
    public static void nakresliObrázek(ArrayList<GrafickýObjekt> obrázek)
    {
        /*
        var i = obrázek.iterator();      // Iterátor poslouží jako parametr cyklu
        while( i.hasNext() )
        {
            var g = i.next();            // Vezmi grafický objekt
            g.nakresli();                // z kontejneru a nakresli ho
        }
        */
        for(var g: obrázek)
        {
            g.nakresli();
        }
    }
    
    public static boolean zkontrolujAVypišVše(ArrayList<Kontrola> seznam)
    {
        for(var i : seznam)
        {
          if(!(i.zkontroluj())) return false;
          System.out.println(i);
        }
       return true;
    }
    public static void main(String[] args) 
    {
        ArrayList<GrafickýObjekt> seznam = new ArrayList<>();
        GrafickýObjekt go = new Bod(1,2,3);
        seznam.add(go);
        go = new ZakroužkovanýBod(1, 8, 4);
        seznam.add(go);
        go = new Kružnice(7, 8, 20, 99);
        seznam.add(go);
        go = new Úsečka(40, 60, 20, 80, 333);
        seznam.add(go);
        nakresliObrázek(seznam);
        System.out.println("---");
        ArrayList<Kontrola> seznamKeKontrole = new ArrayList<>();
        seznamKeKontrole.add(go);
        Řetězec řetěz = new Řetězec();
        řetěz.přidej("nazdar");
        seznamKeKontrole.add(řetěz);
        if(zkontrolujAVypišVše(seznamKeKontrole))
        {
            System.out.println("OK");
        }
        else
        {
            System.out.println("něco je špatně");
        }
            
            
    }
    
}
