package grafickéobjekty;
import kontrola.Kontrola;

public abstract class GrafickýObjekt implements Kontrola, Cloneable
{
    public final int getBarva() { return barva; }
    public final void setBarva(int _barva){ barva = _barva; }
    public GrafickýObjekt() {}
    public GrafickýObjekt(int _barva){ setBarva(_barva); }
    public void nakresli()
    {
        System.out.println(this);
    }
    private int barva;

    @Override
    public boolean zkontroluj() 
    {
        return barva >= 0;
    }
    
    @Override
    public GrafickýObjekt clone() throws CloneNotSupportedException
    {
       return (GrafickýObjekt) super.clone();
    }

}